<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/content"
    android:layout_width="match_parent"
    android:gravity="center"
    android:animateLayoutChanges="true"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_width="match_parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_height="wrap_content"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tvTitle"
            android:textColor="@color/ZenCryptPrimary"
            app:drawableTint="@color/ZenCryptPrimary"
            android:drawablePadding="6dp"
            android:layout_width="match_parent"
            android:textStyle="bold"
            android:paddingStart="13dp"
            android:paddingTop="15sp"
            android:paddingBottom="2sp"
            android:textSize="18sp"
            android:layout_height="match_parent">
        </TextView>

        <LinearLayout
            android:id="@+id/indeterminate_progress_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="20dp">
            <com.google.android.material.progressindicator.CircularProgressIndicator
                android:layout_width="0dp"
                app:indicatorColor="@color/ZenCryptPrimary"
                android:indeterminate="true"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_weight="4"
                android:gravity="center|left"
                android:layout_marginLeft="10dp"
                android:text="@string/loading" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/file_name_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:visibility="gone"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_marginTop="4dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="italic"
                android:textSize="15sp"
                android:text="@string/file_name" />

            <TextView
                android:id="@+id/tv_file_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textSize="15sp"
                android:ellipsize="end"
                android:maxLines="6"
                android:padding="8dp"/>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/file_size_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:visibility="gone"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_marginTop="4dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="italic"
                android:textSize="15sp"
                android:text="@string/file_size" />

            <TextView
                android:id="@+id/tv_file_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textSize="15sp"
                android:padding="8dp"/>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/randomize_filename_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:visibility="gone"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_marginTop="4dp">

            <CheckBox
                android:id="@+id/randomize_filename_checkbox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/randomize_file_name"
                android:textSize="14sp"
                android:padding="4dp"/>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/determinate_progress_layout"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            android:padding="20dp">
            <com.google.android.material.progressindicator.LinearProgressIndicator
                android:id="@+id/determinateBar"
                app:indicatorColor="@color/ZenCryptPrimary"
                android:layout_width="match_parent"
                android:layout_gravity="center"
                android:layout_height="wrap_content"/>

            <TextView
                android:id="@+id/determine_textView"
                android:layout_width="wrap_content"
                android:layout_gravity="center"
                android:paddingTop="8dp"
                android:layout_height="0dp"
                android:layout_weight="4"
                android:gravity="center"/>
        </LinearLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayout"
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
            app:boxCornerRadiusBottomEnd="8dp"
            app:boxCornerRadiusTopEnd="8dp"
            app:boxCornerRadiusBottomStart="8dp"
            app:boxCornerRadiusTopStart="8dp"
            app:hintTextColor="?attr/btnTextColor"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="20dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="10dp"
            app:passwordToggleEnabled="true"
            app:boxStrokeColor="?attr/btnTextColor"
            app:passwordToggleTint="?attr/btnTextColor">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/tvPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textCursorDrawable="@null"
                android:hint="@string/password"
                android:inputType="textPassword" />
        </com.google.android.material.textfield.TextInputLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:weightSum="3"
            android:orientation="vertical">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_ok"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:gravity="center"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:foreground="?selectableItemBackground"
                android:background="@android:color/transparent"
                android:textColor="?attr/btnTextColor"
                app:icon="@drawable/ic_baseline_fingerprint_24"
                app:iconTint="?attr/btnTextColor"
                app:iconGravity="textStart"
                android:text="@string/fingerprint" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_use_password"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:gravity="center"
                android:layout_marginBottom="5dp"
                android:foreground="?selectableItemBackground"
                android:background="@android:color/transparent"
                android:textColor="?attr/btnTextColor"
                app:icon="@drawable/key_outline"
                app:iconTint="?attr/btnTextColor"
                app:iconGravity="textStart"
                android:text="@string/password" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_cancel"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:gravity="center"
                app:icon="@drawable/close"
                app:iconTint="@color/red_active"
                app:iconGravity="textStart"
                android:foreground="?selectableItemBackground"
                android:background="@android:color/transparent"
                android:textColor="@color/red_active"
                android:text="@android:string/cancel" />

        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>